Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1687998 - Please add python-ceph obsolete to f-o-p
Summary: Please add python-ceph obsolete to f-o-p
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-obsolete-packages
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-12 20:58 UTC by Hans de Goede
Modified: 2019-04-06 20:19 UTC (History)
2 users (show)

Fixed In Version: fedora-obsolete-packages-30-32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-06 20:19:16 UTC


Attachments (Terms of Use)

Description Hans de Goede 2019-03-12 20:58:55 UTC
Doing a dnf distro-sync from f29 to f30 gives the following error on my workstation:

 Problem 1: package python-cephfs-1:12.2.11-1.fc29.x86_64 requires libcephfs2 = 1:12.2.11-1.fc29, but none of the providers can be installed
  - libcephfs2-1:12.2.11-1.fc29.x86_64 does not belong to a distupgrade repository
  - problem with installed package python-cephfs-1:12.2.11-1.fc29.x86_64

Starting with F30 the ceph packages no longer have a python2 python-cephfs sub package. F29 has ceph 1:12.x.x F30 has ceph 2:14.x.x so I suggest adding:

Obsoletes: python-cephfs < 2:14.0.0

Comment 1 Hans de Goede 2019-03-12 21:00:11 UTC
I just learned there also is a python-ceph-compat, so we also need:

Obsoletes: python-ceph-compat < 2:14.0.0

Comment 2 Hans de Goede 2019-03-12 21:03:44 UTC
And also (sorry):

Obsoletes: python-rados < 2:14.0.0
Obsoletes: python-rbd < 2:14.0.0
Obsoletes: python-rgw < 2:14.0.0

Comment 3 Fedora Update System 2019-04-04 22:17:39 UTC
fedora-obsolete-packages-30-32 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b7fa2ed928

Comment 4 Fedora Update System 2019-04-05 04:12:19 UTC
fedora-obsolete-packages-30-32 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b7fa2ed928

Comment 5 Fedora Update System 2019-04-06 20:19:16 UTC
fedora-obsolete-packages-30-32 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.